(* Option type utility routines for ocaml
   Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

(** Utility functions for dealing with ['a option] types. *)

(** These functions remove the need for pattern matching when trying
to get a value from an option type. *)

(** [default opt default-value] returns either the option's value, or
the default if the option was [None]. *)
val default: 'a option -> 'a -> 'a

(** A specialization of [default] for bool options that returns [true]
for a default value *)
val deftrue: bool option -> bool

(** A specialization of [default] for bool options that returns [false]
for a default value *)
val deffalse: bool option -> bool
